Subject: Re: bug#67687: Feature request: automatic tags management

From: Jon Eskin <[email-masked]>
Date: Wed, 20 Dec 2023 16:11:47 -0500

> Wow! This is excellent, worked like a charm on my end.
> 
> I’m going to get this set up on a few different machines and take some time to build feedback.
> 
> Thank you!

Just a quick follow up - I’ve been using this every day. I’ve been able to work without thinking about tags at all, and it’s been a huge QOL upgrade for me. 

The only road-bumps I had in the last few weeks were the following:

1) In some repositories I unknowingly had an existing universal ctags file “tags”. When I did, trying to goto-def would give an error like "user-error: File /Users/jon/development/c/clp/TAGS is not a valid tags table”. This was misleading, because the actual file on my filesystem is "/Users/jon/development/c/clp/tags”. Usually I differentiate ctags format from etags by the capitalization of the filename, and that error message makes it look like it’s an etags file. I’m guessing this has something to do with MacOS file system case insensitivity on the file system.

2) I had always generated tags with a path argument for some reason, so when I customized “Etags Regen Program” to “ctags -e -R .”, I got an error since it appends an -o option to the end. I just needed to glance at the source and experiment for a minute to realize I just needed to remove the “.”.

I don’t mean to suggest those are problems to be fixed, I can’t really think of any addition or change that would make sense to try to address them, but I figured I would report them in case you had any ideas.

Overall this package gets a big thumbs up from me and I think it would be a great inclusion in a future release. Thank you for sharing it!

Jon